Bug 1405195 - Wayland breaks the drawing of non gtk3 applications
Summary: Wayland breaks the drawing of non gtk3 applications
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-15 20:45 UTC by Rubén
Modified: 2017-04-07 19:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-07 19:39:13 UTC
Type: Bug


Attachments (Terms of Use)
antialias_off (127.78 KB, image/png)
2016-12-15 20:45 UTC, Rubén
no flags Details
antialias_on (215.34 KB, image/png)
2016-12-15 20:46 UTC, Rubén
no flags Details
model to test the bug (7.05 KB, application/x-gzip)
2016-12-15 20:48 UTC, Rubén
no flags Details
mysql workbench (324.09 KB, image/png)
2017-01-09 21:04 UTC, Rubén
no flags Details
mysql workbench (107.29 KB, image/png)
2017-01-09 21:05 UTC, Rubén
no flags Details
gimp (156.23 KB, image/png)
2017-01-20 17:24 UTC, Rubén
no flags Details
mypaint (13.60 KB, image/png)
2017-01-20 17:32 UTC, Rubén
no flags Details

Description Rubén 2016-12-15 20:45:59 UTC
Created attachment 1232322 [details]
antialias_off

Description of problem:
Latest upgrade of Wayland breaks drawing of non gtk3 applications toolbar icons and other elements.

Version-Release number of selected component (if applicable):
gnome-session-wayland-session.x86_64  3.22.2-1.fc25
ibus-wayland.x86_64                   1.5.14-3.fc25
libwayland-client.x86_64              1.12.0-1.fc25
libwayland-cursor.x86_64              1.12.0-1.fc25
libwayland-server.x86_64              1.12.0-1.fc25
mesa-libwayland-egl.x86_64            13.0.2-2.fc25
mesa-libwayland-egl-devel.x86_64      13.0.2-2.fc25
wayland-devel.x86_64                  1.12.0-1.fc25
wayland-protocols-devel.noarch        1.7-1.fc25
xorg-x11-server-Xwayland.x86_64       1.19.0-1.fc25

Steps to Reproduce:
1. Start Dia. Open/create a new model. Elements are displayed as in "antialias_off.png" screenshot.
2. Enable antialias. Elements are displayed as in "antialias_on.png".

Comment 1 Rubén 2016-12-15 20:46:31 UTC
Created attachment 1232323 [details]
antialias_on

Comment 2 Rubén 2016-12-15 20:48:00 UTC
Created attachment 1232324 [details]
model to test the bug

Comment 3 Per Arnold Blåsmo 2017-01-09 11:05:55 UTC
I experience the same problem in the GUI using SmartGit (V8.03) and in Shutter (v0.93.1-3.fc25.noarch).

SmartGit is a Java application, while shutter is a Perl Application.

Comment 4 Rubén 2017-01-09 21:04:37 UTC
Created attachment 1238896 [details]
mysql workbench

Comment 5 Rubén 2017-01-09 21:05:03 UTC
Created attachment 1238897 [details]
mysql workbench

Comment 6 Rubén 2017-01-09 21:05:28 UTC
Also in Mysql Workbench

Comment 7 Rubén 2017-01-20 17:24:01 UTC
Created attachment 1242947 [details]
gimp

Also in gimp

Comment 8 Rubén 2017-01-20 17:32:02 UTC
Created attachment 1242949 [details]
mypaint

Mypaint is unusable

Comment 9 Rubén 2017-01-24 23:04:47 UTC
Inkscape

Comment 10 Rubén 2017-04-07 19:39:13 UTC
Solved in Fedora 26

Comment 11 Rubén 2017-04-07 19:40:19 UTC
Thanks a lot!


Note You need to log in before you can comment on or make changes to this bug.